/*
  Warnings:

  - You are about to drop the column `active` on the `ChallengeAction` table. All the data in the column will be lost.
  - A unique constraint covering the columns `[activeChallengeId]` on the table `Player` will be added. If there are existing duplicate values, this will fail.

*/
-- AlterTable
ALTER TABLE "ChallengeAction" DROP COLUMN "active";

-- AlterTable
ALTER TABLE "Player" ADD COLUMN     "activeChallengeId" INTEGER;

-- CreateIndex
CREATE UNIQUE INDEX "Player_activeChallengeId_key" ON "Player"("activeChallengeId");

-- AddForeignKey
ALTER TABLE "Player" ADD CONSTRAINT "Player_activeChallengeId_fkey" FOREIGN KEY ("activeChallengeId") REFERENCES "ChallengeAction"("id") ON DELETE SET NULL ON UPDATE CASCADE;
