import { ApiProperty } from "@nestjs/swagger"
import { Game } from "@prisma/client"

export class GameEntity implements Game {
  constructor(partial: Partial<GameEntity>) {
    Object.assign(this, partial)
  }

  /**
   * Identifiant unique du jeu
   */
  id: number

  /**
   * Est-ce que la partie est en cours
   */
  started: boolean

  /**
   * Identifiant de læ joueur⋅se en course
   */
  currentRunId: number
}
