import { Module } from '@nestjs/common'
import { GeolocationsService } from './geolocations.service'
import { GeolocationsController } from './geolocations.controller'
import { PrismaModule } from 'src/prisma/prisma.module'

@Module({
  controllers: [GeolocationsController],
  providers: [GeolocationsService],
  imports: [PrismaModule],
})
export class GeolocationsModule {}
