import { Injectable } from '@nestjs/common'
import { AuthGuard } from '@nestjs/passport'
import { Player } from '@prisma/client'
import { Request } from 'express'

@Injectable()
export class JwtAuthGuard extends AuthGuard('jwt') {}

export type AuthenticatedRequest = Request & { user: Player }
