import { Module } from '@nestjs/common'
import { ChallengeActionsService } from './challenge-actions.service'
import { ChallengeActionsController } from './challenge-actions.controller'
import { PrismaModule } from 'src/prisma/prisma.module'

@Module({
  controllers: [ChallengeActionsController],
  providers: [ChallengeActionsService],
  imports: [PrismaModule],
})
export class ChallengeActionsModule {}
