import { ApiProperty } from "@nestjs/swagger"
import { IsBoolean } from "class-validator"
import { BooleanTransform } from "src/common/utils/transform.utils"

export class EndChallengeActionDto {
  @IsBoolean()
  @BooleanTransform()
  @ApiProperty({ description: "Indique si le défi a été un succès ou non." })
  success: boolean
}