import { Type } from "class-transformer"
import { IsNumber, IsOptional } from "class-validator"

export class PlayerFilterDto {
  @IsOptional()
  @IsNumber()
  @Type(() => Number)
  playerId?: number
}
