import { Transform, TransformOptions } from "class-transformer"

export function BooleanTransform (options?: TransformOptions): PropertyDecorator {
  return Transform(({ value }) => {
    if (value.toString().toLowerCase() === "false")
      return false
    return Boolean(value)
  }, options)
}
