import { Module } from '@nestjs/common'
import { MoneyUpdatesService } from './money-updates.service'
import { MoneyUpdatesController } from './money-updates.controller'
import { PrismaModule } from 'src/prisma/prisma.module'

@Module({
  controllers: [MoneyUpdatesController],
  providers: [MoneyUpdatesService],
  imports: [PrismaModule],
})
export class MoneyUpdatesModule {}
