import { Module } from '@nestjs/common'
import { RunsService } from './runs.service'
import { RunsController } from './runs.controller'
import { PrismaModule } from 'src/prisma/prisma.module'

@Module({
  controllers: [RunsController],
  providers: [RunsService],
  imports: [PrismaModule],
})
export class RunsModule {}
